commit:     f335c5fe6ffe19dcd35f80a550a16491fd355a26
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 11 10:03:46 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 11 10:54:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f335c5fe

dev-python/gpgmepy: add 2.0.0, drop 2.0.0_pre20250603

Closes: https://bugs.gentoo.org/961318
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/gpgmepy/Manifest                          |  2 +-
 ...2.0.0_pre20250603.ebuild => gpgmepy-2.0.0.ebuild} | 20 ++++++++++++--------
 2 files changed, 13 insertions(+), 9 deletions(-)

diff --git a/dev-python/gpgmepy/Manifest b/dev-python/gpgmepy/Manifest
index fa00bc52356a..6a3aaf8cce84 100644
--- a/dev-python/gpgmepy/Manifest
+++ b/dev-python/gpgmepy/Manifest
@@ -1 +1 @@
-DIST gpgmepy-2.0.0_pre20250603.tar.gz 511499 BLAKE2B 
5d21f1a76f69a51723c94236661117e05aeddf374314b029cf83cbf42f58df53aca3fab8e94236e6725d7bbc8a3c762516c68d323061aae3d60eabb7fb685e11
 SHA512 
52d461ebe064b89129815a9d38874acc2679f8818a04aa83021263e4d2d1f2169d12948a81fc7be218524531967a571b987e713fa326a50e8d5b815cc0183877
+DIST gpgmepy-2.0.0.tar.bz2 575963 BLAKE2B 
70388a040720eff563468e89cdc4e7e7625bb2347de1414322d96f12fd836abd743b4a554ceb88c732029831aa80fbbbbb559cafb9cfa491aff5f132ac5cdfdc
 SHA512 
c7f7a0f6961cd6c4338a01df08f15afafa6dbc83e5ee9ca1694dc1f7eb11e7a4e3c37b05ec2fff0d69297aa2de678c66deb41ab5877e6bf5c2373bd6954afae6

diff --git a/dev-python/gpgmepy/gpgmepy-2.0.0_pre20250603.ebuild 
b/dev-python/gpgmepy/gpgmepy-2.0.0.ebuild
similarity index 72%
rename from dev-python/gpgmepy/gpgmepy-2.0.0_pre20250603.ebuild
rename to dev-python/gpgmepy/gpgmepy-2.0.0.ebuild
index b68afbe29f2e..2f0622ec09a8 100644
--- a/dev-python/gpgmepy/gpgmepy-2.0.0_pre20250603.ebuild
+++ b/dev-python/gpgmepy/gpgmepy-2.0.0.ebuild
@@ -8,15 +8,9 @@ DISTUTILS_USE_PEP517=setuptools
 PYTHON_COMPAT=( python3_{11..14} )
 inherit autotools distutils-r1
 
-GPGMEPY_COMMIT="1c2c1c0b41af5e34e4f6897639fa41ef3932ec7d"
 DESCRIPTION="GnuPG Made Easy is a library for making GnuPG easier to use 
(Python bindings)"
 HOMEPAGE="https://www.gnupg.org/related_software/gpgme";
-SRC_URI="https://git.gnupg.org/cgi-bin/gitweb.cgi?p=gpgmepy.git;a=snapshot;h=${GPGMEPY_COMMIT};sf=tgz
 -> ${P}.tar.gz"
-#SRC_URI="
-#      mirror://gnupg/${PN}/${P}.tar.xz
-#      verify-sig? ( mirror://gnupg/${PN}/${P}.tar.xz.sig )
-#"
-S="${WORKDIR}"/${PN}-${GPGMEPY_COMMIT:0:7}
+SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
 
 LICENSE="LGPL-2.1+ test? ( GPL-2+ )"
 SLOT="0"
@@ -42,11 +36,21 @@ PATCHES=(
 )
 
 src_prepare() {
+       # autoreconf adds '-unknown' suffix and may even blast the version away
+       # entirely to 0.0.0.
+       sed -i -e "s:mym4_version:${PV}:" configure.ac || die
+       # The dynamic version machinery doesn't work with proper PEP517
+       # builds, as it relies on a hack in setup.py.
+       sed -i -e "s:dynamic = \[\"version\"\]:version = \"${PV}\":" 
pyproject.toml || die
+
        distutils-r1_src_prepare
        eautoreconf
 }
 
 python_configure() {
+       mkdir "${BUILD_DIR}" || die
+       cd "${BUILD_DIR}" || die
+
        local myeconfargs=(
                $(use_enable test gpg-test)
 
@@ -60,7 +64,7 @@ python_configure() {
 }
 
 python_test() {
-       emake -C tests -Onone check \
+       emake -C "${BUILD_DIR}"/tests -Onone check \
                PYTHON=${EPYTHON} \
                PYTHONS=${EPYTHON} \
                TESTFLAGS="--python-libdir=${BUILD_DIR}/lib"

Reply via email to